GUIUtils
Date: 2014-06-07

gr.zeus.util

## Class GUIUtils

- java.lang.Object
- - gr.zeus.util.GUIUtils

-     public final class GUIUtils
      extends java.lang.Object

  GUI Helper class, contains static methods that are used all the time.

  Since:
    1.0
  Author:
    Gregory Kotsaftis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GUIUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `centerOnScreen(java.awt.Window w)` Centers a window on screen.
    `static void` | `hideJTableColumn(javax.swing.table.TableColumn tc)` Hides a specific column of a JTable.
    `static void` | `invokeAndWait(java.lang.Runnable task)` Execute a task on EDT and block's it, until the task is finished.
    `static void` | `lockJTableColumnWidth(javax.swing.table.TableColumn tc, int pixels)` Locks a Jtable's column width with 'pixels' size.
    `static void` | `maximizeJFrame(javax.swing.JFrame f)` Maximizes a JFrame, just like the 'maximize window' button does.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GUIUtils

          public GUIUtils()

  - ### Method Detail

    - #### invokeAndWait

          public static void invokeAndWait(java.lang.Runnable task)

      Execute a task on EDT and block's it, until the task is finished. If there is an exception, it is converted to a RuntimeException.
      Parameters:
        `task` - The process to run.

    - #### centerOnScreen

          public static void centerOnScreen(java.awt.Window w)

      Centers a window on screen.

      Parameters:
        `w` - The window to center.

    - #### maximizeJFrame

          public static void maximizeJFrame(javax.swing.JFrame f)

      Maximizes a JFrame, just like the 'maximize window' button does.

      Parameters:
        `f` - The frame to maximize.

    - #### lockJTableColumnWidth

          public static void lockJTableColumnWidth(javax.swing.table.TableColumn tc,
                                                   int pixels)

      Locks a Jtable's column width with 'pixels' size.

      Parameters:
        `tc` - The table column.
        `pixels` - The desired pixels.

    - #### hideJTableColumn

          public static void hideJTableColumn(javax.swing.table.TableColumn tc)

      Hides a specific column of a JTable.

      Parameters:
        `tc` - The table column.